Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454898 - Fedora LiveCD doesn't boot in Blu-Ray Drives.
Summary: Fedora LiveCD doesn't boot in Blu-Ray Drives.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: LiveCD
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-10 16:56 UTC by Jack Peirce
Modified: 2013-01-10 04:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 08:16:45 UTC


Attachments (Terms of Use)
sosreport (deleted)
2008-07-10 22:03 UTC, Jack Peirce
no flags Details
lshal from Installed F9 System (deleted)
2008-07-11 15:20 UTC, Jack Peirce
no flags Details
lsmod from installed F9 system (deleted)
2008-07-11 15:21 UTC, Jack Peirce
no flags Details
lsmod from F9 Live system (deleted)
2008-07-11 15:22 UTC, Jack Peirce
no flags Details

Description Jack Peirce 2008-07-10 16:56:07 UTC
Description of problem:
Blu-Ray Drives cannot successfully load the kernel in Fedora 8 and 9. They fail 
on mounting the root fs, then dump to a bash shell where I am told to create a 
symlink for /dev/root and exit the shell to continue the boot process.

Version-Release number of selected component (if applicable):
Broken for me in both 8 and 9.

Steps to Reproduce:
1. Boot a live cd off a Blu-Ray Device
2. Error!

Additional info:
Only tried on a Lite-On SATA 2x Blu-Ray combo CD/DVD/BD drive. On machines with 
4xQC processors, 16GB RAM. Two duplicate machines each have this problem.

Comment 1 Jack Peirce 2008-07-10 22:03:49 UTC
Created attachment 311518 [details]
sosreport

sosreport on the machine

Comment 2 Jack Peirce 2008-07-10 22:04:55 UTC
Relevant output of lsscsi --verbose -c:

Host: scsi0 Channel: 00 Target: 00 Lun: 00
  Vendor: LITE-ON  Model: BD B LH-2B1S     Rev: AL09
  Type:   CD-ROM                           ANSI SCSI revision: ffffffff
  dir: /sys/bus/scsi/devices/0:0:0:0


Note: Device works fine under F9 when installed.


Comment 3 Jeremy Katz 2008-07-10 23:28:50 UTC
Can you get the output of lshal?  And lsmod isn't in the sysreport for some
reason and could also be handy.

And is the drive connected to the internal sata (sata_nv)?

Comment 4 Jack Peirce 2008-07-10 23:59:02 UTC
The drive is connected through a internal SAS port on the motherboard. 

I'll get the output of lshal and lsmod sometime tomorrow. 

For any other information you might need, please let me know by tomorrow, as 
these machines have to ship out to MIT sometime tomorrow, they're not my 
personal machines.

Comment 5 Jeremy Katz 2008-07-11 01:37:43 UTC
Hmm, might be a module that we're not including in the initrd then.

That's the biggest reason I can think of.  When you're at the shell, you can
also check and see if /sys/block/sr0 exists (guessing not). 

A little hard to guess what else might be useful, but I'm at least partially
convinced that it's a module not there now 

Comment 6 Jack Peirce 2008-07-11 15:20:35 UTC
Created attachment 311592 [details]
lshal from Installed F9 System

Comment 7 Jack Peirce 2008-07-11 15:21:17 UTC
Created attachment 311593 [details]
lsmod from installed F9 system

Comment 8 Jack Peirce 2008-07-11 15:22:36 UTC
Created attachment 311594 [details]
lsmod from F9 Live system

Note: /sys/block/sr0 does not exist.

Comment 9 Jeremy Katz 2008-07-11 16:10:04 UTC
We didn't include mptsas in the list of modules in the initrd -- I've added it
to git and so the F10 images should have it

Comment 10 Bug Zapper 2009-06-10 02:01:46 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2009-07-15 08:16:45 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.